# synfig::ValueNode_Duplicate Class Reference

`#include <valuenode_duplicate.h>`

Inheritance diagram for synfig::ValueNode_Duplicate:

List of all members.

## Public Types

typedef etl::handle < ValueNode_Duplicate > | Handle
typedef etl::handle< const ValueNode_Duplicate > | ConstHandle

## Public Member Functions

| ValueNode_Duplicate (const ValueBase::Type &x)
| ValueNode_Duplicate (const ValueBase &x)
virtual ValueBase | operator() (Time t) const
| Returns the value of the ValueNode at time t.
void | reset_index (Time t) const
bool | step (Time t) const
int | count_steps (Time t) const
virtual | ~ValueNode_Duplicate ()
virtual String | get_name () const
| Returns the name of the ValueNode type.
virtual String | get_local_name () const
| Returns the localized name of the ValueNode type.
virtual ValueNode::LooseHandle | get_link_vfunc (int i) const
virtual int | link_count () const
virtual String | link_name (int i) const
virtual String | link_local_name (int i) const
virtual int | get_link_index_from_name (const String &name) const

## Static Public Member Functions

static bool | check_type (ValueBase::Type type)
static ValueNode_Duplicate * | create (const ValueBase &x)

## Protected Member Functions

LinkableValueNode * | create_new () const
virtual bool | set_link_vfunc (int i, ValueNode::Handle x)

## Member Typedef Documentation

typedef etl::handle<ValueNode_Duplicate> synfig::ValueNode_Duplicate::Handle

Reimplemented from synfig::LinkableValueNode.

typedef etl::handle<const ValueNode_Duplicate> synfig::ValueNode_Duplicate::ConstHandle

Reimplemented from synfig::LinkableValueNode.

## Constructor & Destructor Documentation

ValueNode_Duplicate::ValueNode_Duplicate | ( | const ValueBase::Type & | x | ) |

Referenced by create(), and create_new().

ValueNode_Duplicate::ValueNode_Duplicate | ( | const ValueBase & | x | ) |

References synfig::ValueNode_Const::create(), synfig::ValueBase::get(), and synfig::LinkableValueNode::set_link().

ValueNode_Duplicate::~ValueNode_Duplicate | ( |  | ) | `[virtual]`

References synfig::LinkableValueNode::unlink_all().

## Member Function Documentation

virtual ValueBase synfig::ValueNode_Duplicate::operator() | ( | Time |  | ) | const`[virtual]`

Returns the value of the ValueNode at time t.

Reimplemented from synfig::ValueNode.

void ValueNode_Duplicate::reset_index | ( | Time | t | ) | const

bool ValueNode_Duplicate::step | ( | Time | t | ) | const

References std::abs().

Referenced by count_steps().

int ValueNode_Duplicate::count_steps | ( | Time | t | ) | const

References std::abs(), and step().

String ValueNode_Duplicate::get_name | ( |  | ) | const`[virtual]`

Returns the name of the ValueNode type.

Implements synfig::ValueNode.

String ValueNode_Duplicate::get_local_name | ( |  | ) | const`[virtual]`

Returns the localized name of the ValueNode type.

Implements synfig::ValueNode.

References _.

ValueNode::LooseHandle ValueNode_Duplicate::get_link_vfunc | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

int ValueNode_Duplicate::link_count | ( |  | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

Referenced by get_link_vfunc(), link_local_name(), link_name(), and set_link_vfunc().

String ValueNode_Duplicate::link_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References link_count().

String ValueNode_Duplicate::link_local_name | ( | int | i | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

References _, and link_count().

int ValueNode_Duplicate::get_link_index_from_name | ( | const String & | name | ) | const`[virtual]`

Implements synfig::LinkableValueNode.

LinkableValueNode * ValueNode_Duplicate::create_new | ( |  | ) | const`[protected, virtual]`

Implements synfig::LinkableValueNode.

References synfig::ValueNode::get_type(), and ValueNode_Duplicate().

bool ValueNode_Duplicate::set_link_vfunc | ( | int | i,
|  | ValueNode::Handle | x |
| ) |  |  | `[protected, virtual]`

Implements synfig::LinkableValueNode.

References CHECK_TYPE_AND_SET_VALUE, link_count(), and synfig::ValueBase::TYPE_REAL.

static bool synfig::ValueNode_Duplicate::check_type | ( | ValueBase::Type | type | ) | `[static]`

ValueNode_Duplicate * ValueNode_Duplicate::create | ( | const ValueBase & | x | ) | `[static]`

References ValueNode_Duplicate().

Referenced by synfig::Layer_Duplicate::Layer_Duplicate().

The documentation for this class was generated from the following files:

- valuenode_duplicate.h
- valuenode_duplicate.cpp